# ReadLicenseFile

### Description

Reads the license file generated by the License Server, validates the signature of the license file and populates the ILicenseInfo object.

```csharp
ILicenseInfo ReadLicenseFile(string licenseFile, string computerID, 
                             out string errorMessage)
```

### Arguments

| Name         | Data Type | Description                                               |
| ------------ | :-------: | --------------------------------------------------------- |
| licenseFile  |   string  | path to the license file generated by the license server. |
| computerID   |   string  | ID of the computer where the license is being validated.  |
| errorMessage |   string  | error message if the operation failed.                    |

### Return

|                           Data Type                          | Description                    |
| :----------------------------------------------------------: | ------------------------------ |
| [ILicenseInfo](/docs/api-reference/.net-api/ilicenseinfo.md) | populated ILicenseInfo object. |

### Remarks

You must set the RsaPublicKey property before calling ReadLicenseFile.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/readlicensefile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
